#!/usr/bin/perl -w
#
# Client program to connect to terminal server for autots
#
# Copyright (C) 2008 Maximilian Hoegner
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

use IO::Socket;

my $sock = new IO::Socket::INET (
        PeerAddr => $ARGV[0],
        PeerPort => $ARGV[1],
        Proto => 'tcp',
);

die "Could not create socket: $!\n" unless $sock;

my $hostname = $sock->getline();
$hostname =~ s/\s*$//;

my $display = $ENV{'DISPLAY'};
$display =~ m/(.*):(.*?)(\.(.*))?$/;
$dpy = $hostname.":".$2;

print `/usr/X11R6/bin/xauth generate $dpy MIT-MAGIC-COOKIE-1 trusted`;

print $sock $dpy."\n";
print $sock `/usr/X11R6/bin/xauth list $dpy`."\n";

while ( $line = $sock->getline() )
{
	print $sock $line;
}

close($sock);
